Attribute VB_Name = "umFish30"
' ------------------------------------------------------------------------------
'
' umFish30(umFish30.bas)                                  Ulrich Mller 27.05.02
'                                                         Procida 400NT    VB6.0
' Deklarationen und Konstanten zu umFish30
'
' ------------------------------------------------------------------------------

Option Explicit

Public Declare Function umOpenInterface Lib "umFish30.dll" _
  (ft As ftDCB, ByVal ComName$) As Long
Public Declare Function umCloseInterface Lib "umFish30.dll" _
  (ft As ftDCB) As Long
Public Declare Function umGetVersion Lib "umFish30.dll" () As Long
Public Declare Function umGetAnalogDirect Lib "umFish30.dll" _
    (ft As ftDCB, ByVal InputNr&) As Long
Public Declare Function umGetInput Lib "umFish30.dll" _
  (ft As ftDCB, ByVal InputNr&) As Boolean
Public Declare Function umSetMotor Lib "umFish30.dll" _
  (ft As ftDCB, ByVal MotorNr&, ByVal Richtung&) As Long
Public Declare Function umSetMotorEx Lib "umFish30.dll" _
  (ft As ftDCB, ByVal MotorNr&, ByVal Richtung&, ByVal Speed&) As Long
Public Declare Function umSetMotors Lib "umFish30.dll" _
  (ft As ftDCB, ByVal MotorStatus&) As Long
Public Declare Function umSetMotorsEx Lib "umFish30.dll" _
  (ft As ftDCB, ByVal MotorStatus&, SpeedStatus&) As Long
Public Declare Function umSetLamp Lib "umFish30.dll" _
  (ft As ftDCB, ByVal LampNr&, ByVal OnOff&) As Long
Public Declare Function umRobMotor Lib "umFish30.dll" (ft As ftDCB, _
  ByVal MotorNr&, ByVal Direction&, ByVal Speed&, ByVal ICount&) As Long
Public Declare Function umRobMotors Lib "umFish30.dll" (ft As ftDCB, _
  ByVal MotorStatus&, ByVal SpeedStatus&, ByVal ModeStatus&) As Long

Public Declare Function umStartDriver Lib "umFish30.dll" () As Long
Public Declare Function umStopDriver Lib "umFish30.dll" () As Long

Public Declare Function GetAsyncKeyState Lib "user32" (ByVal vKey As Long) As Integer
Public Const VK_ESCAPE = &H1B
Public Declare Sub Sleep Lib "kernel32" (ByVal dwMsec&)
Public Declare Function GetTickCount Lib "kernel32" () As Long


Public Type ftDCB
  comI As Long                   ' --- PortHandle / OpenFlag (=0)
  PortID As Long                 '     IO-Adresse bei LPT
  LPTDelay As Long               '     LPT Verzgerungsfaktor
  LPTAnalog As Long              '     LPT Analogfaktor
  ECount As Long                 '     Anzahl E-Eingnge
  
  FID As Long                    ' --- MultiMediaTimer Handle
  PollInterval As Long           '     PollInterval des MM-Timers
  AnalogScan As Long             '     Pollen auch der Analogeingnge (0/1)
  
  OutputStatus As Long           ' --- Status der M-Ausgnge
  MotorStatus As Long            '     SollStatus der M-Ausgnge (00 | 01 | 10)
  SpeedStatus As Long            '     Den M-Ausgngen zug. Geschwindigkeit
  ModeStatus As Long             '     Den M-Ausgnge zug. Betriebsmode
  intern As Long                 '     Aktueller Takt der OnOffTabelle (0-15)
  InputStatus As Long            '     Status der E-Eingnge
  Analogs(0 To 1) As Long        '     Werte der A-Eingnge
  Counters(1 To 16) As Long      '     Impulszhler an den E-Eingngen
End Type

Public Const ftiFehler = &H1FFFF
Public Const ftiAus = 0
Public Const ftiEin = 1
Public Const ftiLinks = 1
Public Const ftiRechts = 2

Public ftiDCB As ftDCB, ft As ftDCB







